#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidPlotType {
    #[builder(into)]
    #[serde(rename = "expectedType")]
    expected_type: String,
}
impl InvalidPlotType {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(expected_type: impl Into<String>) -> Self {
        Self::builder().expected_type(expected_type).build()
    }
    #[inline]
    pub fn expected_type(&self) -> &str {
        &*self.expected_type
    }
}
impl conjure_error::ErrorType for InvalidPlotType {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:InvalidPlotType"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["expectedType"]
    }
}
